TemuStockAcks
POST
/apps/temu/stock-acks
const url = 'https://your-store.myciqra.com/apps/temu/stock-acks';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"items":[{"productVariantId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","pushed":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.myciqra.com/apps/temu/stock-acks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "items": [ { "productVariantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pushed": 1 } ] }'Required scope: read_inventory — an installation token without it receives 403.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
items
required
Array<object> | null
object
productVariantId
required
string format: uuid
pushed
required
integer | string format: int32
Examplegenerated
{ "items": [ { "productVariantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "pushed": 1 } ]}Responses
Section titled “Responses”OK
Media typeapplication/json
object
recorded
required
integer | string format: int32
Examplegenerated
{ "recorded": 1}Bad Request
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}